# frozen_string_literal: true

# Generated by grabbing all values from the table in the Experian docs, and running this search/replace:
# ([A-Z0-9]+) ([A-Z0-9]+) (.*)$
# '$1' => { api_code: '$1', type: '$2', description: '$3' },

require_relative 'base'

module ExperianConsumerView
  module Transformers
    module Attributes
      # An Attribute Transformer to tranform the ConsumerView 'pc_mosaic_uk_7_type' field
      class PostcodeMosaicUk7Type
        extend Base

        ATTRIBUTE_NAME = 'pc_mosaic_uk_7_type'

        CODE_MAP = {
          '01' => { api_code: '01', type: 'A01', description: 'World-Class Wealth' },
          '02' => { api_code: '02', type: 'A02', description: 'Uptown Elite' },
          '03' => { api_code: '03', type: 'A03', description: 'Penthouse Chic' },
          '04' => { api_code: '04', type: 'A04', description: 'Metro High-Flyers' },
          '05' => { api_code: '05', type: 'B05', description: 'Premium Fortunes' },
          '06' => { api_code: '06', type: 'B06', description: 'Diamond Days' },
          '07' => { api_code: '07', type: 'B07', description: 'Alpha Families' },
          '08' => { api_code: '08', type: 'B08', description: 'Bank of Mum and Dad' },
          '09' => { api_code: '09', type: 'B09', description: 'Empty-Nest Adventure' },
          '10' => { api_code: '10', type: 'C10', description: 'Wealthy Landowners' },
          '11' => { api_code: '11', type: 'C11', description: 'Rural Vogue' },
          '12' => { api_code: '12', type: 'C12', description: 'Scattered Homesteads' },
          '13' => { api_code: '13', type: 'C13', description: 'Village Retirement' },
          '14' => { api_code: '14', type: 'D14', description: 'Satellite Settlers' },
          '15' => { api_code: '15', type: 'D15', description: 'Local Focus' },
          '16' => { api_code: '16', type: 'D16', description: 'Outlying Seniors' },
          '17' => { api_code: '17', type: 'D17', description: 'Far-Flung Outposts' },
          '18' => { api_code: '18', type: 'E18', description: 'Legacy Elders' },
          '19' => { api_code: '19', type: 'E19', description: 'Bungalow Haven' },
          '20' => { api_code: '20', type: 'E20', description: 'Classic Grandparents' },
          '21' => { api_code: '21', type: 'E21', description: 'Solo Retirees' },
          '22' => { api_code: '22', type: 'F22', description: 'Boomerang Boarders' },
          '23' => { api_code: '23', type: 'F23', description: 'Family Ties' },
          '24' => { api_code: '24', type: 'F24', description: 'Fledgling Free' },
          '25' => { api_code: '25', type: 'F25', description: 'Dependable Me' },
          '26' => { api_code: '26', type: 'G26', description: 'Cafés and Catchments' },
          '27' => { api_code: '27', type: 'G27', description: 'Thriving Independence' },
          '28' => { api_code: '28', type: 'G28', description: 'Modern Parents' },
          '29' => { api_code: '29', type: 'G29', description: 'Mid-Career Convention' },
          '30' => { api_code: '30', type: 'H30', description: 'Primary Ambitions' },
          '31' => { api_code: '31', type: 'H31', description: 'Affordable Fringe' },
          '32' => { api_code: '32', type: 'H32', description: 'First-Rung Futures' },
          '33' => { api_code: '33', type: 'H33', description: 'Contemporary Starts' },
          '34' => { api_code: '34', type: 'H34', description: 'New Foundations' },
          '35' => { api_code: '35', type: 'H35', description: 'Flying Solo' },
          '36' => { api_code: '36', type: 'I36', description: 'Solid Economy' },
          '37' => { api_code: '37', type: 'I37', description: 'Budget Generations' },
          '38' => { api_code: '38', type: 'I38', description: 'Economical Families' },
          '39' => { api_code: '39', type: 'I39', description: 'Families on a Budget' },
          '40' => { api_code: '40', type: 'J40', description: 'Value Rentals' },
          '41' => { api_code: '41', type: 'J41', description: 'Youthful Endeavours' },
          '42' => { api_code: '42', type: 'J42', description: 'Midlife Renters' },
          '43' => { api_code: '43', type: 'J43', description: 'Renting Rooms' },
          '44' => { api_code: '44', type: 'K44', description: 'Inner City Stalwarts' },
          '45' => { api_code: '45', type: 'K45', description: 'City Diversity' },
          '46' => { api_code: '46', type: 'K46', description: 'High Rise Residents' },
          '47' => { api_code: '47', type: 'K47', description: 'Single Essentials' },
          '48' => { api_code: '48', type: 'K48', description: 'Mature Workers' },
          '49' => { api_code: '49', type: 'L49', description: 'Flatlet Seniors' },
          '50' => { api_code: '50', type: 'L50', description: 'Pocket Pensions' },
          '51' => { api_code: '51', type: 'L51', description: 'Retirement Communities' },
          '52' => { api_code: '52', type: 'L52', description: 'Estate Veterans' },
          '53' => { api_code: '53', type: 'L53', description: 'Seasoned Survivors' },
          '54' => { api_code: '54', type: 'M54', description: 'Down-to-Earth Owners' },
          '55' => { api_code: '55', type: 'M55', description: 'Back with the Folks' },
          '56' => { api_code: '56', type: 'M56', description: 'Self Supporters' },
          '57' => { api_code: '57', type: 'N57', description: 'Community Elders' },
          '58' => { api_code: '58', type: 'N58', description: 'Culture & Comfort' },
          '59' => { api_code: '59', type: 'N59', description: 'Large Family Living' },
          '60' => { api_code: '60', type: 'N60', description: 'Ageing Access' },
          '61' => { api_code: '61', type: 'O61', description: 'Career Builders' },
          '62' => { api_code: '62', type: 'O62', description: 'Central Pulse' },
          '63' => { api_code: '63', type: 'O63', description: 'Flexible Workforce' },
          '64' => { api_code: '64', type: 'O64', description: 'Bus-Route Renters' },
          '65' => { api_code: '65', type: 'O65', description: 'Learners & Earners' },
          '66' => { api_code: '66', type: 'O66', description: 'Student Scene' },
          '99' => { api_code: '99', type: 'U', description: 'Unclassified' }
        }.freeze
      end
    end
  end
end
